diff --git a/changelog b/changelog
index 256d74d..a427dab 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20110118 tpd src/axiom-website/patches.html 20110118.03.tpd.patch
+20110118 tpd src/interp/Makefile move to lisp tangle
+20110118 tpd src/interp/regress.lisp move to lisp tangle
+20110118 tpd src/interp/record.lisp move to lisp tangle
+20110118 tpd src/interp/profile.lisp move to lisp tangle
 20110118 tpd src/axiom-website/patches.html 20110118.02.tpd.patch
 20110118 tpd src/input/fname.input fix failing test
 20110118 tpd src/axiom-website/patches.html 20110118.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8ff8a33..ff416d2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3351,5 +3351,7 @@ src/input/*.input clean up failing tests<br/>
 src/input/unittest2.input fix failing test<br/>
 <a href="patches/20110118.02.tpd.patch">20110118.02.tpd.patch</a>
 src/input/fname.input fix failing test<br/>
+<a href="patches/20110118.03.tpd.patch">20110118.03.tpd.patch</a>
+src/interp/*.lisp move to lisp tangle
  </body>
 </html>
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index 1eb8aae..fac27f9 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -1669,7 +1669,9 @@ ${OUT}/profile.${O}: ${MID}/profile.lisp
 ${MID}/profile.lisp: ${IN}/profile.lisp.pamphlet
 	@ echo 137 making ${MID}/profile.lisp from ${IN}/profile.lisp.pamphlet
 	@ (cd ${MID} ; \
-	   ${TANGLE} ${IN}/profile.lisp.pamphlet >profile.lisp )
+          echo '(tangle "${IN}/profile.lisp.pamphlet" "*" "profile.lisp")' \
+        | ${OBJ}/${SYS}/bin/lisp )
+#	   ${TANGLE} ${IN}/profile.lisp.pamphlet >profile.lisp )
 
 @
 
@@ -2727,8 +2729,9 @@ ${OUT}/regress.${O}: ${MID}/regress.${LISP}
 ${MID}/regress.${LISP}: ${IN}/regress.lisp.pamphlet
 	@ echo 368 making ${MID}/regress.${LISP} from \
                           ${IN}/regress.lisp.pamphlet
-	@(cd ${MID} ; \
-	${TANGLE} ${IN}/regress.lisp.pamphlet >regress.${LISP} )
+	@ (cd ${MID} ; \
+          echo '(tangle "${IN}/regress.lisp.pamphlet" "*" "regress.${LISP}")' \
+        | ${OBJ}/${SYS}/bin/lisp )
 
 @
 
@@ -2980,7 +2983,8 @@ ${OUT}/record.${O}: ${MID}/record.lisp
 ${MID}/record.lisp: ${IN}/record.lisp.pamphlet
 	@ echo 137 making ${MID}/record.lisp from ${IN}/record.lisp.pamphlet
 	@ (cd ${MID} ; \
-	   ${TANGLE} ${IN}/record.lisp.pamphlet >record.lisp )
+          echo '(tangle "${IN}/record.lisp.pamphlet" "*" "record.lisp")' \
+        | ${OBJ}/${SYS}/bin/lisp )
 
 @
 
diff --git a/src/interp/profile.lisp.pamphlet b/src/interp/profile.lisp.pamphlet
index 74fcb22..bd0b050 100644
--- a/src/interp/profile.lisp.pamphlet
+++ b/src/interp/profile.lisp.pamphlet
@@ -9,7 +9,7 @@
 \eject
 \tableofcontents
 \eject
-<<*>>=
+\begin{chunk}{*}
 (IN-PACKAGE "BOOT" )
 
 ;--$profileCompiler := true
@@ -246,7 +246,7 @@
                                          (|formatOpSignature| |op1|
                                           |sig|)))))))))))))))))
 
-@
+\end{chunk}
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} nothing
diff --git a/src/interp/record.lisp.pamphlet b/src/interp/record.lisp.pamphlet
index 87245db..bd0678a 100644
--- a/src/interp/record.lisp.pamphlet
+++ b/src/interp/record.lisp.pamphlet
@@ -29,7 +29,7 @@
 )bo verifyRecordFile('"<idir>fn.record") to verfiy that same output
    results from running original fn.input file
 \end{verbatim}
-<<*>>=
+\begin{chunk}{*}
 
 (IN-PACKAGE "BOOT" )
 
@@ -767,7 +767,7 @@
         (SPADLET |$mkTestInputStack| NIL)
         (SPADLET |$mkTestOutputStack| NIL)))))
 
-@
+\end{chunk}
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} nothing
diff --git a/src/interp/regress.lisp.pamphlet b/src/interp/regress.lisp.pamphlet
index f2b28a8..0ea1f4a 100644
--- a/src/interp/regress.lisp.pamphlet
+++ b/src/interp/regress.lisp.pamphlet
@@ -59,7 +59,7 @@ This function takes an output file which has been created by the
 Axiom {\tt )spool} command and looks for regression test markups.
 Each regression test is checked against the actual result and any
 failures are marked. 
-<<*>>=
+\begin{chunk}{*}
 (in-package "BOOT")
 
 (defvar *all-tests-ran* nil "true implies that all tests ran")
@@ -92,12 +92,12 @@ failures are marked.
    (unless *all-tests-ran*
     (format t "regression result FAILED early exit in file ~a?~%" name))))))
 
-@
+\end{chunk}
 \subsection{defun getspoolname}
 We need to parse out the name of the test. The ``)spool'' command
 writes a line into the output file containing the name of the test.
 We parse out the name of the test from this line.
-<<*>>=
+\begin{chunk}{*}
 (defun getspoolname (stream)
  (let (line point)
   (setq line (read-line stream))
@@ -108,13 +108,13 @@ We parse out the name of the test from this line.
     nil
   (subseq line 20 point))))
 
-@
+\end{chunk}
 \subsection{defun findnexttest}
 We need to break the file into separate test cases. This routine
 looks for the ``--S'' line which indicates a test is starting. It
 collects up input lines until it encounters the ``--E'' line marking
 the end of the test case. These lines are returned as a list of strings.
-<<*>>=
+\begin{chunk}{*}
 (defun findnexttest (stream)
  (let (teststart result)
   (do ((line (read-line stream nil 'done) (read-line stream nil 'done)))
@@ -124,26 +124,26 @@ the end of the test case. These lines are returned as a list of strings.
     (push line result) 
     (setq teststart (testnumberp line))))))
 
-@
+\end{chunk}
 \subsection{defun testnumberp}
 The ``--S'' line has a test number on the line. We parse out the
 test number for printing.
-<<*>>=
+\begin{chunk}{*}
 (defun testnumberp (oneline)
  (when (startp oneline) (subseq oneline 3)))
 ;  (parse-integer (string-trim '(#\Space) (subseq oneline 3)))))
 
-@
+\end{chunk}
 \subsection{defvar *ok*}
 We can mark a test as always ok by putting the word ``ok'' anywhere
 on the start line. The regress function resets this value. The startp
 function checks the --S line for the word ``ok''. If found, it sets
 this value to true which causes a failing test to be considered as
 passed.
-<<*>>=
+\begin{chunk}{*}
 (defvar *ok* nil "did we mark this test as always ok?")
 
-@
+\end{chunk}
 
 \subsection{defun testpassed}
 This routine takes the test input, passes it to split to clean up
@@ -158,7 +158,7 @@ The ok variable allows us to mark failing tests as ``ok'' because
 we expect the test might fail due to random values or testing known
 bugs against expected output. We filter these tests marked ``ok''
 so they do not count as ``real'' failures.
-<<*>>=
+\begin{chunk}{*}
 (defun testpassed (test)
  (let (answer expected (passed t))
   (declare (special *ok*))
@@ -174,7 +174,7 @@ so they do not count as ``real'' failures.
    (pop expected))
   passed))
 
-@
+\end{chunk}
 \subsection{defun split}
 We have a list containing all of the lines in a test. The input is of
 the form:
@@ -220,7 +220,7 @@ be {\tt string=} to the corresponding element of the result list.
 If the input line starts with ``--I'' we push the string ``ignore''.
 This is useful for handling random results or gensym symbols.
 
-<<*>>=
+\begin{chunk}{*}
 (defun split (test)
  (let (answer (acnt 0) expected (ecnt 0))
   (dolist (oneline test)
@@ -239,7 +239,7 @@ This is useful for handling random results or gensym symbols.
   (dotimes (i (- acnt ecnt)) (pop answer))
   (values (nreverse answer) (nreverse expected))))
 
-@
+\end{chunk}
 \subsection{defun startp}
 This test returns true if we have a ``start'' line. That is, a line
 with a ``--S'' prefix. 
@@ -255,7 +255,7 @@ string ``ok'' somewhere on the ``--S'' line as in:
 \begin{verbatim}
 --S 29 of 42 fails due to random values but that is ok
 \end{verbatim}
-<<*>>=
+\begin{chunk}{*}
 (defun startp (oneline)
  (let (result)
  (declare (special *ok*))
@@ -266,31 +266,31 @@ string ``ok'' somewhere on the ``--S'' line as in:
      (setq *all-tests-ran* (lastcount oneline)))
   result))
 
-@
+\end{chunk}
 \subsection{defun endedp}
 This test returns true if we have a ``ended'' line. That is, a line
 with a ``--E'' prefix.
-<<*>>=
+\begin{chunk}{*}
 (defun endedp (oneline)
  (and (>= (length oneline) 3) (string= (subseq oneline 0 3) "--E")))
 
-@
+\end{chunk}
 \subsection{defun resultp}
 This test returns true if we have a ``results'' line. That is, a line
 with a ``--R'' prefix.
-<<*>>=
+\begin{chunk}{*}
 (defun resultp (oneline)
  (and (>= (length oneline) 3) (string= (subseq oneline 0 3) "--R")))
 
-@
+\end{chunk}
 \subsection{defun ignorep}
 This test returns true if we have an ``ignore'' line. That is, a line
 with a ``--I'' prefix.
-<<*>>=
+\begin{chunk}{*}
 (defun ignorep (oneline)
  (and (>= (length oneline) 3) (string= (subseq oneline 0 3) "--I")))
 
-@
+\end{chunk}
 \subsection{defun lastcount}
 If the ``--S'' line has the format ``--S n of m'' we return true if 
 n=m, false otherwise.
@@ -308,7 +308,7 @@ tests actually ran rather than having the regression test exit
 early and quietly. This will be false on all but the last test
 and will be false if the ``--S'' line does not contain the optional
 count marker. It is not required but is highly recommended.
-<<*>>=
+\begin{chunk}{*}
 (defun lastcount (oneline)
  (let ((n :done) (m :done) next somemore)
  (when (and (>= (length oneline) 3) (string= (subseq oneline 0 3) "--S"))
@@ -323,7 +323,7 @@ count marker. It is not required but is highly recommended.
      (multiple-value-setq (m next) (read-from-string somemore nil :done))))))
   (and (integerp m) (integerp n) (= m n))))
 
-@
+\end{chunk}
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} nothing
